## librist-dmo 0.2.6

=== meson_options.txt ===
option('static_analyze', type : 'boolean', value : false)
option('test', type : 'boolean', value : true)
#option('builtin_lz4', type: 'boolean', value: false)
option('builtin_cjson', type: 'boolean', value: false)
option('builtin_mbedtls', type: 'boolean', value: false)
option('built_tools', type: 'boolean', value: true)
option('fallback_builtin', type: 'boolean', value: true)
option('use_mbedtls', type: 'boolean', value: true)
option('have_mingw_pthreads', type: 'boolean', value: false)
option('allow_insecure_iv_fallback', type: 'boolean', value: false)
option('allow_obj_filter', type: 'boolean', value: false)

=== debian/changelog ===
librist-dmo (0.2.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Jul 2021 14:54:53 +0200

librist-dmo (0.2.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Jul 2021 17:42:44 +0200

librist-dmo (0.2.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jun 2021 00:19:14 +0200

librist-dmo (0.2.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Jun 2021 00:18:47 +0200

librist-dmo (0.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Jun 2021 00:08:05 +0200

librist-dmo (0.2.1-dmo2) unstable; urgency=medium

  * Add multi-arch support.
  * librist-dev package: Replaces liblz4-dev by libmbedtls-dev in Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Jun 2021 10:26:21 +0200

librist-dmo (0.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Jun 2021 07:09:06 +0200

librist-dmo (0.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Jun 2021 15:12:15 +0200

librist-dmo (0.2.0~rc6-dmo2) unstable; urgency=medium

  * librist-dev package should Depends on liblz4-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Apr 2021 11:12:26 +0200

librist-dmo (0.2.0~rc6-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Apr 2021 08:59:13 +0200

=== debian/control ===
Source: librist-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://code.videolan.org/rist/librist
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), meson, libmbedtls-dev

Package: librist4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reliable Internet Stream Transport - runtime files
 This code was written to comply with the Video Services Forum (VSF)
 Technical Recommendations TR-06-1 and TR-06-2.  The protocol goes by the
 codename "RIST"

Package: librist-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: librist4 (= ${binary:Version}), ${misc:Depends}, libmbedtls-dev
Description: Reliable Internet Stream Transport - development files
 This code was written to comply with the Video Services Forum (VSF)
 Technical Recommendations TR-06-1 and TR-06-2.  The protocol goes by the
 codename "RIST"

#Package: rist-tools
#Architecture: any
#Section: misc
#Multi-Arch: foreign
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: Reliable Internet Stream Transport - development files
# This code was written to comply with the Video Services Forum (VSF)
# Technical Recommendations TR-06-1 and TR-06-2.  The protocol goes by the
# codename "RIST"

=== debian/watch ===
version=4

#https://code.videolan.org/rist/librist/-/releases \
#https://code.videolan.org/rist/librist/-/archive/v([\d][\d\.]+[a-z]?)/librist-v([\d][\d\.]+[a-z]?)@ARCHIVE_EXT@

## librist-dmo 0.2.7

=== debian/changelog ===
librist-dmo (1:0.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2022 17:17:04 +0200

librist-dmo (1:0.2.6-dmo4) unstable; urgency=medium

  * Add libcjson-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Mar 2022 11:09:43 +0100

librist-dmo (0.2.6-dmo2) unstable; urgency=medium

  * Build with mbedtls 2.28

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Mar 2022 14:46:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://code.videolan.org/rist/librist
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), meson, libmbedtls-dev
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), meson, libmbedtls-dev (>= 2.28.0~),
+ libcjson-dev
 
 Package: librist4
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dbuilt_tools=false

override_dh_auto_test:

=== debian/watch ===
version=4

#https://code.videolan.org/rist/librist/-/tags \
#/rist/librist/-/archive/v?(\d[\d.]*)/librist-v?(\d[\d.]*)@ARCHIVE_EXT@

## librist-dmo 0.2.11

=== debian/changelog ===
librist-dmo (1:0.2.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Nov 2024 19:40:36 +0100

librist-dmo (1:0.2.10-dmo3) unstable; urgency=medium

  * Build with mbedtls 3.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2024 15:02:12 +0200

librist-dmo (1:0.2.10-dmo2) unstable; urgency=medium

  * Rebuild for time_t (libmbedcrypto7t64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 22:50:50 +0100

librist-dmo (1:0.2.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Oct 2023 00:37:40 +0100

librist-dmo (1:0.2.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Oct 2023 00:39:45 +0200

librist-dmo (1:0.2.8-dmo2) unstable; urgency=medium

  * librist-dev should Depends on libcjson-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Sep 2023 12:25:11 +0200

librist-dmo (1:0.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Sep 2023 17:42:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://code.videolan.org/rist/librist
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), meson, libmbedtls-dev (>= 2.28.0~),
- libcjson-dev
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), meson, libmbedtls-dev (>= 3.6.0~),
+ libcjson-dev,
 
 Package: librist4
 Architecture: any
@@ -22,7 +22,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: librist4 (= ${binary:Version}), ${misc:Depends}, libmbedtls-dev
+Depends: librist4 (= ${binary:Version}), ${misc:Depends}, libmbedtls-dev, libcjson-dev
 Description: Reliable Internet Stream Transport - development files
  This code was written to comply with the Video Services Forum (VSF)
  Technical Recommendations TR-06-1 and TR-06-2.  The protocol goes by the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dtest=false \
	-Dbuilt_tools=false

override_dh_auto_test:

=== debian/watch ===
version=4

#https://code.videolan.org/rist/librist/-/archive/v0.2.10/librist-v0.2.10.tar.gz

https://code.videolan.org/rist/librist/-/tags \
/rist/librist/-/tags/@ANY_VERSION@
